// ConfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "APISample.h"
#include "ConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg dialog


CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDlg)
	m_Atten = 10;
	m_Decimation = 1;
	m_IFPath = 0;
	m_MixerBand = 1;
	m_Sensitivity = 0;
	//}}AFX_DATA_INIT
}


void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDlg)
	DDX_Text(pDX, IDC_ATTENSET, m_Atten);
	DDV_MinMaxInt(pDX, m_Atten, 0, 15);
	DDX_Text(pDX, IDC_DECIMATIONSET, m_Decimation);
	DDV_MinMaxInt(pDX, m_Decimation, 1, 16);
	DDX_Text(pDX, IDC_IFPATHSET, m_IFPath);
	DDV_MinMaxInt(pDX, m_IFPath, 0, 1);
	DDX_Text(pDX, IDC_MIXBANDSET, m_MixerBand);
	DDV_MinMaxInt(pDX, m_MixerBand, 0, 1);
	DDX_Text(pDX, IDC_SENSITIVITYSET, m_Sensitivity);
	DDV_MinMaxInt(pDX, m_Sensitivity, 0, 2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg message handlers
