// SweepDlg.cpp : implementation file
//

#include "stdafx.h"
#include "APISample.h"
#include "SweepDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSweepDlg dialog


CSweepDlg::CSweepDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSweepDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSweepDlg)
	m_FFTSize = 256;
	m_StartFreq = 211.0e6;
	m_StopFreq = 214.0e6;
	//}}AFX_DATA_INIT
}


void CSweepDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSweepDlg)
	DDX_Text(pDX, IDC_FFTSIZE, m_FFTSize);
	DDV_MinMaxInt(pDX, m_FFTSize, 1, 65536);
	DDX_Text(pDX, IDC_STARTFREQ, m_StartFreq);
	DDX_Text(pDX, IDC_STOPFREQ, m_StopFreq);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSweepDlg, CDialog)
	//{{AFX_MSG_MAP(CSweepDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSweepDlg message handlers
